Bug 1310569 - Creating more Object Storage pools fails on locking problem
Creating more Object Storage pools fails on locking problem
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: Nishanth Thomas
sds-qe-bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 04:18 EST by Daniel Horák
Modified: 2016-07-08 08:41 EDT (History)
4 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add_Object_Storage_01.png (47.30 KB, image/png)
2016-02-22 04:18 EST, Daniel Horák
no flags Details
Add_Object_Storage_02.png (51.25 KB, image/png)
2016-02-22 04:18 EST, Daniel Horák
no flags Details
Add_Object_Storage_03.png (107.79 KB, image/png)
2016-02-22 04:19 EST, Daniel Horák
no flags Details

  None (edit)
Description Daniel Horák 2016-02-22 04:18:15 EST
Created attachment 1129188 [details]
Add_Object_Storage_01.png

Description of problem:
  When I try to create more Object Storage pools at once (set higher number than 1 to the "Pools to Create" field - attachment Add_Object_Storage_01.png), all creation tasks except first one fails with error similar to:
  Failed. error: Unable to Acquire the lock for d418f6e3-92e1-4def-95fa-d8bfeb2e2426 Message [Manage_Cluster : dahorak-usm2-node2.os1.phx2.redhat.com] 


Version-Release number of selected component (if applicable):
  rhscon-ceph-0.0.6-4.el7.x86_64
  rhscon-core-0.0.8-4.el7.x86_64
  rhscon-ui-0.0.14-1.el7.noarch

How reproducible:
  often/always?

Steps to Reproduce:
1. Prepare ceph cluster in USM.
2. Go to Storage -> Add Storage page, chose Object Storage.
3. On the next page, fill all required fields and set higher number (e.g. 5) to the 
Pools to Create field.
4. Submit the request for creation of storage pools.

Actual results:
  All tasks except first one usually fails with error similar to:
    Failed. error: Unable to Acquire the lock for d418f6e3-92e1-4def-95fa-d8bfeb2e2426 Message [Manage_Cluster : dahorak-usm2-node2.os1.phx2.redhat.com] 

Expected results:
  All tasks pass - requested number of pools is created.

Additional info:
Comment 1 Daniel Horák 2016-02-22 04:18 EST
Created attachment 1129189 [details]
Add_Object_Storage_02.png
Comment 2 Daniel Horák 2016-02-22 04:19 EST
Created attachment 1129190 [details]
Add_Object_Storage_03.png
Comment 5 Ramesh N 2016-04-28 08:07:33 EDT
There is locking issue in the backend. It should be fixed in core.
Comment 6 Martin Kudlej 2016-07-08 08:41:33 EDT
Tested with
ceph-ansible-1.0.5-23.el7scon.noarch
ceph-installer-1.0.12-3.el7scon.noarch
rhscon-ceph-0.0.29-1.el7scon.x86_64
rhscon-core-0.0.29-1.el7scon.x86_64
rhscon-core-selinux-0.0.29-1.el7scon.noarch
rhscon-ui-0.0.43-1.el7scon.noarch
and also for RBDs and it works. --> Verified

Note You need to log in before you can comment on or make changes to this bug.